Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osgSim::GeographicLocation Class Reference

Stores a double precision geographic location, latitude and longitude. More...

Inheritance diagram for osgSim::GeographicLocation:

[legend]
List of all members.

## Public Member Functions
| GeographicLocation ()
| GeographicLocation (double lat, double lon)
bool | operator== (const GeographicLocation &v) const
bool | operator!= (const GeographicLocation &v) const
bool | operator< (const GeographicLocation &v) const
double * | ptr ()
const double * | ptr () const
void | set (double lat, double lon)
double & | latitude ()
double & | longitude ()
double | latitude () const
double | longitude () const
bool | valid () const
bool | isNaN () const
const GeographicLocation | operator+ (const GeographicLocation &rhs) const
| binary vector add
const GeographicLocation | operator- (const GeographicLocation &rhs) const
| binary vector subtract
## Friends
std::ostream & | operator<< (std::ostream &output, const GeographicLocation &loc)

## Detailed Description

Stores a double precision geographic location, latitude and longitude.

Derived from Referenced so it can be used as an osg::Object userData.

## Constructor & Destructor Documentation

osgSim::GeographicLocation::GeographicLocation | ( |  | ) | `[inline]`

osgSim::GeographicLocation::GeographicLocation | ( | double | lat,
|  | double | lon
| ) | `[inline]`

## Member Function Documentation

bool osgSim::GeographicLocation::isNaN | ( |  | ) | const`[inline]`

double osgSim::GeographicLocation::latitude | ( |  | ) | const`[inline]`

double& osgSim::GeographicLocation::latitude | ( |  | ) | `[inline]`

double osgSim::GeographicLocation::longitude | ( |  | ) | const`[inline]`

double& osgSim::GeographicLocation::longitude | ( |  | ) | `[inline]`

bool osgSim::GeographicLocation::operator!= | ( | const GeographicLocation & | v | ) | const`[inline]`

const GeographicLocation osgSim::GeographicLocation::operator+ | ( | const GeographicLocation & | rhs | ) | const`[inline]`

| binary vector add

const GeographicLocation osgSim::GeographicLocation::operator- | ( | const GeographicLocation & | rhs | ) | const`[inline]`

| binary vector subtract

bool osgSim::GeographicLocation::operator< | ( | const GeographicLocation & | v | ) | const`[inline]`

bool osgSim::GeographicLocation::operator== | ( | const GeographicLocation & | v | ) | const`[inline]`

const double* osgSim::GeographicLocation::ptr | ( |  | ) | const`[inline]`

double* osgSim::GeographicLocation::ptr | ( |  | ) | `[inline]`

void osgSim::GeographicLocation::set | ( | double | lat,
|  | double | lon
| ) | `[inline]`

bool osgSim::GeographicLocation::valid | ( |  | ) | const`[inline]`

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | output,
|  | const GeographicLocation & | loc
| ) | `[friend]`

The documentation for this class was generated from the following file:

- GeographicLocation